curl https://better-dodo-20522-us1-vector.upstash.io/reset \
-d '' -H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/reset"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "DELETE",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/reset' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"result" : "Success"
}
Endpoints
Reset Index
This endpoint deletes all vectors and all state belonging to the index.
DELETE
/
reset
curl https://better-dodo-20522-us1-vector.upstash.io/reset \
-d '' -H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/reset"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "DELETE",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/reset' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"result" : "Success"
}
The index will be completely empty after
/reset is called.
Request
This request doesn’t require any additional data.Response
Returns"Success" on successful reset operation.
curl https://better-dodo-20522-us1-vector.upstash.io/reset \
-d '' -H "Authorization: Bearer YOUR_TOKEN"
const url = "https://better-dodo-20522-us1-vector.upstash.io/reset"; // Replace with your index endpoint.
const token = "YOUR_TOKEN"; // Replace with your actual token
fetch(url, {
method: "DELETE",
headers: {
Authorization: `Bearer ${token}`,
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error("Error:", error));
import requests
import json
url = 'https://better-dodo-20522-us1-vector.upstash.io/reset' # Replace with your index endpoint.
token = 'YOUR_TOKEN' # Replace with your actual token
headers = {
'Authorization': f'Bearer {token}',
}
response = requests.delete(url, headers=headers)
print(response.json())
{
"result" : "Success"
}
Was this page helpful?
⌘I